#include "bits/stdc++.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }

const int MAXN = 2007;
int field[MAXN][MAXN];
int pref[MAXN][MAXN];

int get_sum(int x1, int y1, int x2, int y2) {
	return pref[x2][y2] - pref[x2][y1] - pref[x1][y2] + pref[x1][y1];
}

void solve() {
	int n, m;
	cin >> n >> m;
	for (int i = 0; i < n; ++i) {
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			field[i][j] = s[j] != '#';
		}
	}

	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			pref[i + 1][j + 1] = pref[i][j + 1] + pref[i + 1][j] - pref[i][j] + field[i][j];
		}
	}

	int l = 1, r = min(n, m) / 3 + 1;
	while (r - l > 1) {
		int mid = (l + r) / 2;
		bool ok = false;
		for (int i = 0; i + mid * 3 <= n; ++i) {
			for (int j = 0; j + mid * 3 <= m; ++j) {
				if (get_sum(i + mid, j, i + mid * 2, j + mid * 3) + get_sum(i, j + mid, i + mid * 3, j + mid * 2) == 0) {
					cerr << i << " " << j << " " << mid << endl;
					ok = true;
					break;
				}
			}
			if (ok) {
				break;
			}
		}
		if (ok) {
			l = mid;
		} else {
			r = mid;
		}
	}
	cout << l << "\n";
}


int main() {
	//freopen(TASK_NAME ".in", "r", stdin);
	//freopen(TASK_NAME ".out", "w", stdout);
	cerr << fixed << setprecision(15);
	cout << fixed << setprecision(15);
	ios::sync_with_stdio(false);

	int tests = 1;
	// cin >> tests;
	for (int it = 1; it <= tests; ++it) {
		solve();
	}
	
	#ifdef LOCAL
		cerr << "time: " << clock() << " ms\n";
	#endif
	return 0;
}