#include "bits/stdc++.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }

const int MAXN = 2007;
int field[MAXN][MAXN];
int dx[4] = {1, 0, -1, 0};
int dy[4] = {0, 1, 0, -1};


void solve() {
	int n, m;
	cin >> n >> m;
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			cin >> field[i][j];
		}
	}

	set<pair<int, pii>> st;
	vector<vector<int>> dist(n, vector<int>(m, INF));
	for (int i = 0; i < n; ++i) {
		dist[i][0] = field[i][0];
		st.insert({dist[i][0], {i, 0}});
		dist[i][m - 1] = field[i][m - 1];
		st.insert({dist[i][m - 1], {i, m - 1}});
	}

	for (int i = 0; i < m; ++i) {
		dist[0][i] = field[0][i];
		st.insert({dist[0][i], {0, i}});
		dist[n - 1][i] = field[n - 1][i];
		st.insert({dist[n - 1][i], {n - 1, i}});
	}

	while (szof(st)) {
		int x, y;
		tie(x, y) = st.begin()->ss;
		st.erase(st.begin());
		for (int i = 0; i < 4; ++i) {
			int nx = x + dx[i];
			int ny = y + dy[i];
			if (0 <= nx && nx < n && 0 <= ny && ny < m && dist[nx][ny] > max(dist[x][y], field[nx][ny])) {
				st.erase({dist[nx][ny], {nx, ny}});
				dist[nx][ny] = max(dist[x][y], field[nx][ny]);
				st.insert({dist[nx][ny], {nx, ny}});
			}
		}
	}

	ll ans = 0;
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			ans += dist[i][j] - field[i][j];
		}
	}

	cout << ans << "\n";
}


int main() {
	//freopen(TASK_NAME ".in", "r", stdin);
	//freopen(TASK_NAME ".out", "w", stdout);
	cerr << fixed << setprecision(15);
	cout << fixed << setprecision(15);
	ios::sync_with_stdio(false);

	int tests = 1;
	// cin >> tests;
	for (int it = 1; it <= tests; ++it) {
		solve();
	}
	
	#ifdef LOCAL
		cerr << "time: " << clock() << " ms\n";
	#endif
	return 0;
}