#include "testlib.h"
#include <iostream>
using namespace std;

const int GROUPS_CNT = 6;
const int MAX_K[GROUPS_CNT] = {1e5, 1e5, 2, 10, 1e5, 1e5};
const int MAX_N[GROUPS_CNT] = {1e5, 1000, 1000, 1000, 1000, 1e5};

template<typename T>
string to_string(const T& x) 
{
    stringstream ss;
    ss << x;
    return ss.str();
}

int main(int argc, char * argv[]) {
    registerValidation(argc, argv);
    int group = 0;
    group = atoi(validator.group().c_str());
    
    int n = inf.readInt(1, MAX_N[group], "n");
    inf.readSpace();
    int m  = inf.readInt(1, n, "m");
    inf.readSpace();
    int k = inf.readInt(1, MAX_K[group], "k");
    inf.readEoln();
    ensuref (group != 1 || n == m, "n != m in 1 group");
    ensuref (group != 2 || k == 2, "k != 2 in 2 group");
        
    for (int i = 0; i < n; i++) 
    {
        inf.readInt(1, k, "a[" + to_string(i + 1) + "]");
        if (i < n - 1)
            inf.readSpace();
    }    
    inf.readEoln();
    inf.readEof();

    return 0;
}
