#include <iostream>
#include <vector>
#include <set>

using namespace std;

int main() {
#ifdef DEBUG
    freopen("input", "r", stdin);
#endif

    int n, m, k;
    cin >> n >> m >> k;
    vector<int> a(n);
    vector<vector<int>> pos(k);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        a[i]--;
        pos[a[i]].push_back(i);
    }
    vector<int> nxt(n, n);
    for (int i = 0; i < k; i++) {
        for (int j = 0; j + 1 < pos[i].size(); j++) {
            nxt[pos[i][j]] = pos[i][j + 1];
        }
    }
    set<int> cur;
    for (int i = 0; i < k; i++) {
        if (pos[i].empty()) {
            cout << 0 << endl;
            return 0;
        }
        cur.insert(pos[i][0]);
    }
    vector<vector<int>> ans;
    while (true) {
        while (*cur.rbegin() - *cur.begin() > m) {
            int i1 = *cur.begin();
            cur.erase(i1);
            i1 = nxt[i1];
            if (i1 == n) {
                cout << ans.size() << endl;
                for (int i = 0; i < ans.size(); i++) {
                    for (int j : ans[i]) {
                        cout << j + 1 << " ";
                    }
                    cout << "\n";
                }
                return 0;
            }
            cur.insert(i1);
        }
        ans.push_back(vector<int> ());
        for (int i : cur) {
            ans.back().push_back(i);
        }
        set<int> cur1;
        for (int i : cur) {
            if (nxt[i] == n) {
                cout << ans.size() << endl;
                for (int i = 0; i < ans.size(); i++) {
                    for (int j : ans[i]) {
                        cout << j + 1 << " ";
                    }
                    cout << "\n";
                }
                return 0;
            }
            cur1.insert(nxt[i]);
        }
        cur = cur1;
    }
}
